description

# MediaStream class Null safety

Inheritance
  - Object
  - EventTarget
  - MediaStream
Annotations
  - @SupportedBrowser(SupportedBrowser.CHROME)
  - @Native("MediaStream")

## Constructors

MediaStream([dynamic stream_OR_tracks])
  factory

## Properties

active → bool?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id → String?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onAddTrack → Stream<Event>
  Stream of `addtrack` events handled by this MediaStream.
  read-only
onRemoveTrack → Stream<Event>
  Stream of `removetrack` events handled by this MediaStream.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
addTrack(MediaStreamTrack track) → void
clone() → MediaStream
dispatchEvent(Event event) → bool
  inherited
getAudioTracks() → List<MediaStreamTrack>
  @Creates('JSExtendableArray|MediaStreamTrack'), @Returns('JSExtendableArray')
getTrackById(String trackId) → MediaStreamTrack?
getTracks() → List<MediaStreamTrack>
getVideoTracks() → List<MediaStreamTrack>
  @Creates('JSExtendableArray|MediaStreamTrack'), @Returns('JSExtendableArray')
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
removeTrack(MediaStreamTrack track) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks if the MediaStream APIs are supported on the current platform. [...]
  read-only

## Constants

addTrackEvent → const EventStreamProvider<Event>
  Static factory designed to expose `addtrack` events to event handlers that are not necessarily instances of MediaStream. [...]
  `const EventStreamProvider<Event>('addtrack')`
removeTrackEvent → const EventStreamProvider<Event>
  Static factory designed to expose `removetrack` events to event handlers that are not necessarily instances of MediaStream. [...]
  `const EventStreamProvider<Event>('removetrack')`